Overview
POST
/persona-memory/linkspersona_memoryCreate links
Create a record in links.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ecosystemIdoptionalstring
- srcIdstring
- dstIdstring
- relationoptionalstring
Example
{
"ecosystemId": "string",
"srcId": "string",
"dstId": "string",
"relation": "string"
}Responses
201
links
- ecosystemIdstring
- srcIdstring
- dstIdstring
- relationstring
- createdAtstring
Example
{
"ecosystemId": "string",
"srcId": "string",
"dstId": "string",
"relation": "string",
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/persona-memory/links" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"srcId": "string",
"dstId": "string",
"relation": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona-memory/links", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"srcId\": \"string\",\n \"dstId\": \"string\",\n \"relation\": \"string\"\n}",
});
const data = await res.json();